using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TravelCompanyContracts.BindingModels.TouristBindingModels;
using TravelCompanyContracts.SearchModels.TouristSearchModels;
using TravelCompanyContracts.ViewModels.TouristViewModels;

namespace TravelCompanyContracts.BusinessLogicsContracts.TouristBusinessLogicsContracts
{
    public interface ITravelLogic
    {
        List<TravelViewModel>? ReadList(TravelSearchModel? model);
        TravelViewModel? ReadElement(TravelSearchModel model);
        bool Create(TravelBindingModel model);
        bool Update(TravelBindingModel model);
        bool Delete(TravelBindingModel model);
    }
}
